|  | Home · All Classes · Modules

# QFocusFrame Class Reference
[QtGui module]

The QFocusFrame widget provides a focus frame which can be outside of a widget's normal paintable area. More...

Inherits QWidget.

### Methods

- __init__ (self, QWidget parent = None)
- bool event (self, QEvent e)
- bool eventFilter (self, QObject, QEvent)
- initStyleOption (self, QStyleOption option)
- paintEvent (self, QPaintEvent)
- setWidget (self, QWidget widget)
- QWidget widget (self)

## Detailed Description

The QFocusFrame widget provides a focus frame which can be outside of a widget's normal paintable area.

Normally an application will not need to create its own QFocusFrame as QStyle will handle this detail for you. A style writer can optionally use a QFocusFrame to have a focus area outside of the widget's paintable geometry. In this way space need not be reserved for the widget to have focus but only set on a QWidget with QFocusFrame.setWidget. It is, however, legal to create your own QFocusFrame on a custom widget and set its geometry manually via QWidget.setGeometry however you will not get auto-placement when the focused widget changes size or placement.

## Method Documentation

### QFocusFrame.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a QFocusFrame.

The focus frame will not monitor parent for updates but rather can be placed manually or by using QFocusFrame.setWidget. A QFocusFrame sets Qt.WA_NoChildEventsForParent attribute; as a result the parent will not receive a QEvent.ChildInserted event, this will make it possible to manually set the geometry of the QFocusFrame inside of a QSplitter or other child event monitoring widget.

See also QFocusFrame.setWidget().

### bool QFocusFrame.event (self, QEvent e)

Reimplemented from QObject.event().

### bool QFocusFrame.eventFilter (self, QObject, QEvent)

Reimplemented from QObject.eventFilter().

### QFocusFrame.initStyleOption (self, QStyleOption option)

Initialize option with the values from this QFocusFrame. This method is useful for subclasses when they need a QStyleOption, but don't want to fill in all the information themselves.

See also QStyleOption.initFrom().

### QFocusFrame.paintEvent (self, QPaintEvent)

Reimplemented from QWidget.paintEvent().

### QFocusFrame.setWidget (self, QWidget widget)

QFocusFrame will track changes to widget and resize itself automatically. If the monitored widget's parent changes, QFocusFrame will follow the widget and place itself around the widget automatically. If the monitored widget is deleted, QFocusFrame will set it to zero.

See also QFocusFrame.widget().

### QWidget QFocusFrame.widget (self)

Returns the currently monitored widget for automatically resize and update.

See also QFocusFrame.setWidget().